# DDS-Configuration file. There are two options to be added here:
#
# includes: list of topics with their mapping to be included in the gateway setup.
# If there are no includes specified, all pub/subs from the system will have a gateway
# added for them.
#
# excludes: list of topics to be excluded from the gateway setup. this could be control
# topics that are not meant to make on dds.

# published from the EMU
publishers:
  prefix: /dev
  excludes:
    # Exclude CAN topics until supported
    - /dr_can1/tx
    - /dr_can2/tx
    - /dr_can3/tx
    - /dr_can4/tx
    - /bdy_can1/tx
    - /bdy_can2/tx
    - /ai_can/tx
    - /ui_can/tx
    # Exclude CAS-PCP lidar topics
    - /cas_pcp/stats
    - /cas_pcp/lidar0_in
    - /cas_pcp/lidar0_out
    - /cas_pcp/lidar1_in
    - /cas_pcp/lidar1_out
    - /cas_pcp/lidar2_in
    - /cas_pcp/lidar2_out
    - /cas_pcp/work0_in
    - /cas_pcp/work1_in
    - /cas_pcp/work2_in
    # Exclude aggregated diagnostics
    - /emu/aggregated/diagnostics
    # Exclude auto-generated FMI component topics
    - '*/heartbeat'
    - '*/metrics'
    - '*/reproducibility'
    - '/ecu/can_alerts/rx'
